package com.kym.service;

import com.kym.entity.common.PageBean;
import com.kym.entity.WashStation;
import com.kym.entity.queryParams.StationQueryParams;
import com.kym.entity.vo.WashStationVo;
import com.kym.service.mybatisplus.MyBaseService;

/**
 * <p>
 * 洗车站点表 服务类
 * </p>
 *
 * @author skyline
 * @since 2024-09-11
 */
public interface WashStationService extends MyBaseService<WashStation> {

    //region 小程序接口
    PageBean<WashStationVo> listStationForApp(StationQueryParams params);
    //endregion


    //region 后台接口
    void add(WashStation station);

    void modify(WashStation station);

    PageBean<WashStation> list(StationQueryParams query);

    WashStation detail(Long id);

    void remove(Long id);
    //endregion
}
